Bug 10976 - Unresolved symbols in modules
Unresolved symbols in modules
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-21 17:10 EDT by Igor Pesando
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-22 01:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Pesando 2000-04-21 17:10:27 EDT
After recompiling the kernel and modules as usual
many modules (ppp irda* sb etc) complain about unresolved symbols
Specifically about the symbols of the type
 best_memcpy   best_memset etc


Here follws the .config
CONFIG_EXPERIMENTAL=y

CONFIG_M586TSC=y
CONFIG_X86_WP_WORKS_OK=y
CONFIG_X86_INVLPG=y
CONFIG_X86_BSWAP=y
CONFIG_X86_POPAD_OK=y
CONFIG_X86_TSC=y
CONFIG_X86_CPU_OPTIMIZATIONS=y
CONFIG_MTRR=y
CONFIG_1GB=y

CONFIG_MODULES=y
CONFIG_MODVERSIONS=y
CONFIG_KMOD=y
CONFIG_NET=y
CONFIG_PCI=y
CONFIG_PCI_GOANY=y
CONFIG_PCI_BIOS=y
CONFIG_PCI_DIRECT=y
CONFIG_PCI_QUIRKS=y
CONFIG_PCI_OLD_PROC=y
CONFIG_SYSVIPC=y
CONFIG_BSD_PROCESS_ACCT=y
CONFIG_SYSCTL=y
CONFIG_BINFMT_AOUT=m
CONFIG_BINFMT_ELF=y
CONFIG_BINFMT_MISC=m
CONFIG_BINFMT_JAVA=m
CONFIG_PARPORT=m
CONFIG_PARPORT_PC=m
CONFIG_APM=y
CONFIG_APM_POWER_OFF=y


CONFIG_BLK_DEV_FD=y
CONFIG_BLK_DEV_IDE=yCONFIG_BLK_DEV_FD=y
CONFIG_BLK_DEV_IDE=y

CONFIG_BLK_DEV_IDEDISK=y
CONFIG_BLK_DEV_IDECD=y
CONFIG_BLK_DEV_IDEPCI=y
CONFIG_BLK_DEV_IDEDMA=y
CONFIG_IDEDMA_AUTO=y

CONFIG_BLK_DEV_LOOP=m
CONFIG_BLK_DEV_NBD=m
CONFIG_BLK_DEV_MD=y
CONFIG_AUTODETECT_RAID=y
CONFIG_MD_LINEAR=m
CONFIG_MD_STRIPED=m
CONFIG_BLK_DEV_RAM=y
CONFIG_BLK_DEV_INITRD=y
CONFIG_PARIDE_PARPORT=m

CONFIG_PACKET=m
CONFIG_NETLINK=y
CONFIG_RTNETLINK=y
CONFIG_NETLINK_DEV=y
CONFIG_FIREWALL=y
CONFIG_FILTER=y
CONFIG_UNIX=y
CONFIG_INET=y
CONFIG_IP_FIREWALL=y
CONFIG_IP_MASQUERADE=y

CONFIG_IP_MASQUERADE_ICMP=y

CONFIG_IP_MASQUERADE_MOD=y
CONFIG_IP_MASQUERADE_IPAUTOFW=m
CONFIG_IP_MASQUERADE_IPPORTFW=m
CONFIG_IP_MASQUERADE_MFW=m
CONFIG_SYN_COOKIES=y

CONFIG_SKB_LARGE=y



CONFIG_SCSI_G_NCR5380_PORT=y

CONFIG_NETDEVICES=y

CONFIG_DUMMY=m

CONFIG_NET_ETHERNET=y
CONFIG_NET_ISA=y
CONFIG_NE2000=m

CONFIG_PLIP=m
CONFIG_PPP=m


CONFIG_RCPCI=m

CONFIG_DLCI=m
CONFIG_DLCI_COUNT=24
CONFIG_DLCI_MAX=8
CONFIG_SDLA=m


CONFIG_IRDA=m

CONFIG_IRLAN=m
CONFIG_IRCOMM=m
CONFIG_IRLPT=m
CONFIG_IRLPT_CLIENT=m
CONFIG_IRLPT_SERVER=m
CONFIG_IRDA_OPTIONS=y

CONFIG_IRDA_CACHE_LAST_LSAP=y
CONFIG_IRDA_FAST_RR=y
CONFIG_IRDA_DEBUG=y
CONFIG_IRDA_COMPRESSION=y

CONFIG_IRDA_DEFLATE=m
CONFIG_IRTTY_SIR=m
CONFIG_IRPORT_SIR=m

CONFIG_SMC_IRCC_FIR=m




CONFIG_VT=y
CONFIG_VT_CONSOLE=y
CONFIG_SERIAL=y
CONFIG_UNIX98_PTYS=y
CONFIG_UNIX98_PTY_COUNT=256
CONFIG_PRINTER=m
CONFIG_PRINTER_READBACK=y
CONFIG_MOUSE=y

CONFIG_PSMOUSE=y

CONFIG_RTC=y


CONFIG_FT_NORMAL_DEBUG=y
CONFIG_FT_STD_FDC=y

CONFIG_QUOTA=y
CONFIG_FAT_FS=m
CONFIG_MSDOS_FS=m
CONFIG_VFAT_FS=m
CONFIG_ISO9660_FS=y
CONFIG_JOLIET=y
CONFIG_MINIX_FS=m
CONFIG_PROC_FS=y
CONFIG_DEVPTS_FS=y
CONFIG_ROMFS_FS=m
CONFIG_EXT2_FS=y


CONFIG_VGA_CONSOLE=y
CONFIG_VIDEO_SELECT=y

CONFIG_SOUND=m
CONFIG_SOUND_CMPCI=m
CONFIG_SOUND_CMPCI_FM=y
CONFIG_SOUND_CMPCI_MIDI=y
CONFIG_SOUND_OSS=m
CONFIG_SOUND_SB=m
CONFIG_SOUND_MPU401=m
CONFIG_SOUND_MSS=m
CONFIG_SOUND_SOFTOSS=m
CONFIG_SOUND_YM3812=m
CONFIG_SOUND_VMIDI=m


CONFIG_MAGIC_SYSRQ=y
Comment 1 Doug Ledford 2000-04-22 01:41:59 EDT
When compiling a new kernel instead of using the supplied Red Hat kernels, you
need to do several things:

1.  Make sure you aren't making a kernel with the same version string as the one
you are replacing by appropriately modifying the EXTRAVERSION= string in the top
level Makefile of the kernel source tree.

2.  Make mrproper before trying to compile the kernel (this removes all the
files in include/linux/modules/ which are the files that contain the function
versions used by the kernel).

3.  Make your new kernel much as you already did, installing the new kernel and
the new modules.  This should solve your problem.
Comment 2 Gerald Combs 2000-04-26 23:43:59 EDT
This isn't the usual mismatched kernel/modules problem.  The kernel
doesn't build properly with the CONFIG_X86_CPU_OPTIMIZATIONS option
enabled.

I was having the same problem described above.  I double-checked that
everything had been built and installed correctly, but none of the
modules would load.  A search on Deja turned up

  http://www.deja.com/getdoc.xp?AN=612796133

According to the article, functions in arch/i386/lib/best_function.c
(best_memcpy, et al) disappear before they make it into the live kernel.

I tested this on my system.  With the optimizations on, modules get
boned.  With them off, they work fine.
Comment 3 Rob McMillin 2000-08-27 17:02:09 EDT
Another possible problem: CONFIG_MODVERSIONS=y.  Please see bug 11844.

Note You need to log in before you can comment on or make changes to this bug.